Description: a virtual inline empty method can't be defined, because the implementation won't be used.
Newer gcc/binutils are now picky about this, making the link fail

  223 |         sge_BF_textoutf(screen, font, screen->w/2+6, 20, "%s - %.0f/s.",title,((double)testloops*1000)/(stop-start));\
      |                                                          ^~~~~~~~~~~~~~
speedtest.cpp:472:33: note: in expansion of macro ‘RUN_TEST_RIGHT’
  472 |                                 RUN_TEST_RIGHT(screen,"Colored bitmap text",4000,100,false,sge_BF_SetColor(cfont,r[i],g[i],b[i]);sge_BF_textout(screen, cfont, "Hello World!", xr1[i], y1[i]));
      |                                 ^~~~~~~~~~~~~~
g++ -o speedtest speedtest.o `sdl-config --libs` -lSGE		
g++ `sdl-config --cflags` -c sprite.cpp 	
In file included from /usr/include/SDL/sge_textpp.h:33,
                 from /usr/include/SDL/sge.h:25,
                 from sprite.cpp:4:
/usr/include/SDL/sge_shape.h:185:29: warning: inline function ‘virtual void sge_surface::clear(Uint32)’ used but never defined
  185 |         virtual inline void clear(Uint32 color);
      |                             ^~~~~
g++ -o sprite sprite.o `sdl-config --libs` -lSGE		
/usr/bin/ld: sprite.o: in function `main':
sprite.cpp:(.text+0x484): undefined reference to `sge_surface::clear(unsigned int)'
/usr/bin/ld: sprite.cpp:(.text+0x498): undefined reference to `sge_surface::clear(unsigned int)'
collect2: error: ld returned 1 exit status

Author: Gianfranco Costamagna <locutusofborg@debian.org>
Last-Update: 2022-01-21

--- libsdl-sge-030809dfsg.orig/sge_shape.h
+++ libsdl-sge-030809dfsg/sge_shape.h
@@ -182,8 +182,8 @@ public:
 	//Draws the surface
 	virtual void draw(void);
 	
-	virtual inline void clear(Uint32 color);
-	virtual inline void clear(SDL_Surface *src, Sint16 srcX, Sint16 srcY);
+	virtual void clear(Uint32 color);
+	virtual void clear(SDL_Surface *src, Sint16 srcX, Sint16 srcY);
 	//virtual inline void clear(SDL_Surface *src){clear(src,last_pos.x,last_pos.y);}
 	
 	virtual void UpdateRects(void);
@@ -253,7 +253,7 @@ public:
 	
 	//Updates the internal status
 	//Returns true if the sprite moved
-	virtual inline bool update(void);
+	virtual bool update(void);
 	
 	//Sets the speed
 	void set_vel(Sint16 x, Sint16 y){xvel=x;yvel=y;}
